ResourceUrlCreator (IcedTea-Web: NetX )
Date: 2015-04-30

net.sourceforge.jnlp.cache

## Class ResourceUrlCreator

- java.lang.Object
- - net.sourceforge.jnlp.cache.ResourceUrlCreator

-     public class ResourceUrlCreator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DownloadOptions` | `downloadOptions`
    `protected Resource` | `resource`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceUrlCreator(Resource resource, DownloadOptions downloadOptions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.net.URL>` | `getUrls()` Returns a list of URLs that the resources might be downloadable from.
    `protected java.net.URL` | `getVersionedUrl()` Returns the URL for this resource, including the resource's version number in the query string

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resource

          protected final Resource resource

    - #### downloadOptions

          protected final DownloadOptions downloadOptions

  - ### Constructor Detail

    - #### ResourceUrlCreator

          public ResourceUrlCreator(Resource resource,
                            DownloadOptions downloadOptions)

  - ### Method Detail

    - #### getUrls

          public java.util.List<java.net.URL> getUrls()

      Returns a list of URLs that the resources might be downloadable from. The Resources may not be downloadable from any of them. The returned order is the order the urls should be attempted in.
      Returns:
        a list of URLs that the resources might be downloadable from

    - #### getVersionedUrl

          protected java.net.URL getVersionedUrl()

      Returns the URL for this resource, including the resource's version number in the query string
      Returns:
        url with version cared about